<h3>Samtliga röster</h3>

@if(listOfResults == null){
    <p>Laddar...</p>
}
else
{
    foreach (var voteResult in listOfResults)
    {
        <h4>@voteResult.Name</h4>
        <Table>
            <TableHeader>
                <TableRow>
                    <TableHeaderCell>PostId</TableHeaderCell>
                    <TableHeaderCell>Röstar</TableHeaderCell>
                    <TableHeaderCell>Röstar på</TableHeaderCell>
                </TableRow>
            </TableHeader>
            <TableBody>
            @foreach (var post in voteResult.Posts)
            {
                <TableRow>
                    <TableHeaderCell>
                        @if (threadId is null)
                        {
                            @post.PostPosition
                        }
                        else
                        {
                            <Blazorise.Link Target="Target.Blank" href="@link(post.PostId)">@post.PostPosition</Blazorise.Link>
                        }
                    </TableHeaderCell>
                    <TableHeaderCell>
                        @post.Voter
                    </TableHeaderCell>
                    <TableHeaderCell>
                        @post.Vote
                    </TableHeaderCell>
                </TableRow>
            }
            </TableBody>
        </Table>
    }
}

@code {

    [Parameter]
    public List<VoteResult> listOfResults { get; set; } = new List<VoteResult>();
    
    [Parameter]
    public string? threadId { get; set; }

    private string link(int postId)
    {
        return $"http://www.rollspel.nu/threads/{threadId}/post-{postId}";
    }
    
}